package de.nwsnet.homework.eurocalc;

/*
 * Copyright (c) 2002 Jochen Kupperschmidt <jochen@kupperschmidt.de>
 * Released under the terms of the GNU General Public License
 *    _                               _
 *   | |_ ___ _____ ___ _ _ _ ___ ___| |_
 *   |   | . |     | ._| | | | . |  _| . /
 *   |_|_|___|_|_|_|___|_____|___|_| |_|_\
 *     http://homework.nwsnet.de/
 */

/**
 * A currency representation holding name and value in euro.
 *
 * @author  <a href="mailto:jochen@kupperschmidt.de">Jochen Kupperschmidt</a>
 * @version 21-Dec-2002
 */
class Currency {

    private String longName;
    private String shortName;
    private double euroValue;

    protected Currency(String longName, String shortName, double euroValue) {
        this.longName  = longName;
        this.shortName = shortName;
        this.euroValue = euroValue;
    }

    protected String getLongName() {
        return longName;
    }

    protected String getShortName() {
        return shortName;
    }

    protected double getEuroValue() {
        return euroValue;
    }
}
